label scene_vacdes:
    label .introduction:
        scene bg basic
        hide screen clock
        hide screen menubar

        "In the fogginess of sleep you feel a presence approach you in the darkness. A bizarre gaunt creature with a twisted fleshy book for a head. Rows of sharp teeth line the pages and a bulging eye looks at you from the cover. It smiles at you strangely. It doesn't fill you with fear there's no hostility as they approach. The fog around you parts at it's approach."

        "Vacdes" "\"Well, well, well it has been a while since someone has visited me here. Though you seem to have brought no trinkets with you. Truly a shame.\""

        jump scene_vacdes.conversation

    label .talk_vacdes:
        scene bg basic
        hide screen clock
        hide screen menubar

        "The dark fog of sleep slowly forms shapes and patterns, you regain your faculties and find yourself back in the strange dream world. The bizarre entity with a book for a head appears before you with a toothy smile, welcoming you back."
        jump scene_vacdes.conversation

    label .conversation:
        menu:
            "What is this place?":
                jump scene_vacdes.this_place
            "Who are you?":
                jump scene_vacdes.who_are_you
            "How did I get here?":
                jump scene_vacdes.get_here
            "Trinkets?":
                jump scene_vacdes.trinkets
            "Level Up" if relationship_vacdes["trinket"]:
                jump scene_vacdes.level
            "Am I dreaming?" if not relationship_vacdes["dreaming"]:
                jump scene_vacdes.dreaming
            "How do I leave?" if relationship_vacdes["trinket"] and not relationship_vacdes["leave"]:
                jump scene_vacdes.how_to_leave
            "Leave" if relationship_vacdes["leave"]:
                jump scene_vacdes.leave

    label .this_place:
        if relationship_vacdes["what_is"]:
            "Vacdes" "\"Like I said, this is a sort of limbo. A place between your reality and dreams.\" He doesn't seem particularly interested in the topic refusing to expand any further."
        else:
            "Vacdes" "\"Now that is a question I have been unable to answer for quite some time. I suppose the best definition would be a limbo. A place between your reality and dreams.\" He fiddles with his pipe casually, giving it a few taps before drawing a long drag from it."
            $ relationship_vacdes["what_is"] = True

        jump scene_vacdes.conversation

    label .who_are_you:
        if relationship_vacdes["met_vacdes"]:
            "Vacdes" "\"I am Vacdes a denizen of this place, I don't believe our relationship is intimate enough for me to comment further. Perhaps if you can bring me some gifts or buy me dinner first I will speak further.\""
        else:
            "Vacdes" "\"I am a denizen of this in between realm. You may call me Vacdes.\" He takes a small puff from his tobacco pipe. \"We can leave it at that for now. Though perhaps I can share more should you bring me some fine trinkets.\""
            $ relationship_vacdes["met_vacdes"] = True

        jump scene_vacdes.conversation

    label .get_here:
        if relationship_vacdes["get_here"]:
            "Vacdes" "\"Like I said, I brought you here. I invited you to my home, as I do with most of the new arrivals on your Alcatraz. You are welcome to return here anytime you sleep.\""
        else:
            "Vacdes" "\"I brought you here so that I could share my knowledge with you. I do so with all the prisoners of your Alcatraz. Though I have had limited success. Most who do arrive simply forget what I had to say when they wake up. So I suppose this entire conversation may be futile.\" He takes a somewhat disappointed inhale from his pipe before blowing an exasperated smoke ring. \"I believe you can return here anytime you sleep if you wish.\""
            $ relationship_vacdes["get_here"] = True

        jump scene_vacdes.conversation

    label .trinkets:
        "Vacdes" "\"Yes, trinkets. Odds and ends. Baubles. Things from your world. I'm quite the collector of oddities. As you can no doubt see my world is quite bland, so I appreciate anything from your world. In exchange I am willing to share my knowledge. Should this arrangement suit your needs I can improve your combat prowess, train you in the art of survival, share my knowledge of the arcane and mundane or simply teach you the art of the silver tongue.\""

        "[pc.profile[Name]]" "\"So you can make me stronger?\""

        "Vacdes" "\"Yes, yes. To put it more simply I can allow you to level up. I believe that's the term you people use nowadays.\""

        $ relationship_vacdes["trinket"] = True
        jump scene_vacdes.conversation

    label .dreaming:
        "Vacdes" "\"While you are asleep, you are not dreaming so to speak. This place and I are as real as you. Which I suppose is a matter of perspective.\""

        jump scene_vacdes.conversation

    label .how_to_leave:
        "Vacdes" "\"Just say the word and I shall escort you back to your home.\""

        $ relationship_vacdes["leave"] = True
        jump scene_vacdes.conversation

    label .leave:
        "Vacdes" "\"Very well. It's been a pleasure. Try not to die and do come back anytime.\""
        if relationship_vacdes["first_meeting"] == False:
            $ relationship_vacdes["first_meeting"] = True
            $ add_time(12,0)
            jump scene_last_drop.meet_squeeb_first_death_01
        else:
            jump expression last_checkpoint

    label .level:
        hide screen clock
        hide screen menubar
        $ selected_item = None

        call screen level_up_screen(inventory) with dissolve

        if _return == True:
            menu:
                "Combat":
                    python:
                        pc.hp += 10
                        pc.max_hp += 10
                        pc.libido += 5
                        pc.max_libido += 5
                        pc.combat += 5
                        pc.survival += 1
                        pc.acumen += 1
                        pc.glamour += 1
                        pc.level += 1
                "Survival":
                    python:
                        pc.hp += 10
                        pc.max_hp += 10
                        pc.libido += 5
                        pc.max_libido += 5
                        pc.combat += 1
                        pc.survival += 5
                        pc.acumen += 1
                        pc.glamour += 1
                        pc.level += 1
                "Acumen":
                    python:
                        pc.hp += 5
                        pc.max_hp += 5
                        pc.libido += 10
                        pc.max_libido += 10
                        pc.combat += 1
                        pc.survival += 1
                        pc.acumen += 5
                        pc.glamour += 1
                        pc.level += 1
                "Glamour":
                    python:
                        pc.hp += 5
                        pc.max_hp += 5
                        pc.libido += 10
                        pc.max_libido += 10
                        pc.combat += 1
                        pc.survival += 1
                        pc.acumen += 1
                        pc.glamour += 5
                        pc.level += 1

            jump scene_vacdes.conversation
        else:
            jump scene_vacdes.conversation
